#include "shopsettingsform.h"
#include "ui_shopsettingsform.h"

#include <settingsservice.h>

ShopSettingsForm::ShopSettingsForm(QWidget *parent) :
    FormBinder<ShopSettings>(parent),
    ui(new Ui::ShopSettingsForm)
{
    ui->setupUi(this);

    registerBinding(ui->output);
    registerBinding(ui->lettersPerLine);
    registerBinding(ui->byMessage);
}

ShopSettingsForm::~ShopSettingsForm()
{
    delete ui;
}

void ShopSettingsForm::loadEntity()
{
    SettingsService srv("SHOP");
    ShopSettingsPtr settings = srv.loadSettings<ShopSettings>();
    setEntity(settings);
}

bool ShopSettingsForm::saveRecord()
{
    bindToData();
    SettingsService srv("SHOP");
    srv.saveSettings(entity());

    return true;
}
